public class ClientUtils extends Object
| Constructor and Description |
|---|
ClientUtils() |
| Modifier and Type | Method and Description |
|---|---|
static com.sun.jersey.api.client.ClientRequest |
buildGetRequest(URI endpoint,
Map<String,String> qryParams,
javax.ws.rs.core.MediaType... mediaTypes)
Builds an HTTP request message that uses the GET method.
|
static Document |
getResponseEntityAsDocument(com.sun.jersey.api.client.ClientResponse response,
String targetURI)
Obtains the (XML) response entity as a DOM Document and resets the entity input stream for subsequent reads.
|
static Source |
getResponseEntityAsSource(com.sun.jersey.api.client.ClientResponse response,
String targetURI)
Obtains the (XML) response entity as a JAXP Source object and resets the entity input stream for subsequent
reads.
|
public static com.sun.jersey.api.client.ClientRequest buildGetRequest(URI endpoint, Map<String,String> qryParams, javax.ws.rs.core.MediaType... mediaTypes)
endpoint - A URI indicating the target resource.qryParams - A Map containing query parameters (may be null);mediaTypes - A list of acceptable media types; if not specified, generic XML ("application/xml") is preferred.public static Source getResponseEntityAsSource(com.sun.jersey.api.client.ClientResponse response, String targetURI)
response - A representation of an HTTP response message.targetURI - The target URI from which the entity was retrieved (may be null).public static Document getResponseEntityAsDocument(com.sun.jersey.api.client.ClientResponse response, String targetURI)
response - A representation of an HTTP response message.targetURI - The target URI from which the entity was retrieved (may be null).Copyright © 2019 Open Geospatial Consortium. All rights reserved.